UniqueKey (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.mapping
Class UniqueKey

    java.lang.Object
      org.hibernate.mapping.Constraint
          org.hibernate.mapping.UniqueKey

All Implemented Interfaces:
  Serializable, RelationalModel

    public class UniqueKey

extends Constraint

A relational unique key constraint

See Also:
  Serialized Form

Constructor Summary
`UniqueKey()`

Method Summary
`boolean` | `isGenerated(Dialect dialect)`
`String` | `sqlConstraintString(Dialect dialect)`
`String` | `sqlConstraintString(Dialect dialect, String constraintName, String defaultCatalog, String defaultSchema)`
`String` | `sqlCreateString(Dialect dialect, Mapping p, String defaultCatalog, String defaultSchema)`
`String` | `sqlDropString(Dialect dialect, String defaultCatalog, String defaultSchema)`

Methods inherited from class org.hibernate.mapping.Constraint
`addColumn, addColumns, columnIterator, containsColumn, getColumn, getColumnIterator, getColumns, getColumnSpan, getName, getTable, setName, setTable, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UniqueKey

    public UniqueKey()

Method Detail

### sqlConstraintString

    public String sqlConstraintString(Dialect dialect)

### sqlConstraintString

    public String sqlConstraintString(Dialect dialect,
                                      String constraintName,
                                      String defaultCatalog,
                                      String defaultSchema)

  Specified by:
    `sqlConstraintString` in class `Constraint`

### sqlCreateString

    public String sqlCreateString(Dialect dialect,
                                  Mapping p,
                                  String defaultCatalog,
                                  String defaultSchema)

  Specified by:
    `sqlCreateString` in interface `RelationalModel`
  Overrides:
    `sqlCreateString` in class `Constraint`

### sqlDropString

    public String sqlDropString(Dialect dialect,
                                String defaultCatalog,
                                String defaultSchema)

  Specified by:
    `sqlDropString` in interface `RelationalModel`
  Overrides:
    `sqlDropString` in class `Constraint`

### isGenerated

    public boolean isGenerated(Dialect dialect)

  Overrides:
    `isGenerated` in class `Constraint`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.